Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDefault

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SchemaObject

                        |

                        +--oracle.ifs.beans.TieSchemaObject

                              |

                              +--oracle.ifs.beans.ValueDefault

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieValueDefault

public class ValueDefault
extends TieSchemaObject

A ValueDefault describes a value that can be applied to an Attribute to serve as a default value for that Attribute in creating new LibraryObjects.

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` A textual description of this ValueDefault.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each ValueDefault has a unique Name.
`static java.lang.String` | `VALUEDEFAULTPROPERTYBUNDLE_ATTRIBUTE` The PropertyBundle that defines the values for this object.

Fields inherited from class oracle.ifs.beans.SchemaObject
`ACTIVE_ATTRIBUTE, NAME_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Method Summary
`java.lang.String` | `getDescription()` Gets the description of this ValueDefault.
`AttributeValue` | `getPropertyValue()` Gets the value of the ValueDefaultPropertyBundle of this ValueDefault.
`ValueDefaultPropertyBundle` | `getValueDefaultPropertyBundle()` Gets the ValueDefaultPropertyBundle of this ValueDefault.
`void` | `setDescription(java.lang.String description)` Sets the description of this ValueDefault.
`void` | `setValueDefaultPropertyBundle(ValueDefaultPropertyBundle bundle)` Sets the ValueDefaultPropertyBundle of this ValueDefault.

Methods inherited from class oracle.ifs.beans.SchemaObject
`getPolicyBundle, getPropertyBundle, hasNameAttribute, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  A textual description of this ValueDefault.

### VALUEDEFAULTPROPERTYBUNDLE_ATTRIBUTE

    public static final java.lang.String VALUEDEFAULTPROPERTYBUNDLE_ATTRIBUTE

  The PropertyBundle that defines the values for this object.

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  A system-set attribute used to ensure each ValueDefault has a unique Name.

Method Detail

### setDescription

    public final void setDescription(java.lang.String description)
                              throws IfsException

  Sets the description of this ValueDefault.
  Parameters:
    `description` - the description
  Throws:
    `IfsException` - if the operation fails

### getDescription

    public final java.lang.String getDescription()
                                          throws IfsException

  Gets the description of this ValueDefault.
  Returns:
    the description
  Throws:
    `IfsException` - if the operation fails

### setValueDefaultPropertyBundle

    public final void setValueDefaultPropertyBundle(ValueDefaultPropertyBundle bundle)
                                             throws IfsException

  Sets the ValueDefaultPropertyBundle of this ValueDefault.
  Parameters:
    `bundle` - the ValueDefaultPropertyBundle
  Throws:
    `IfsException` - if the operation fails

### getValueDefaultPropertyBundle

    public final ValueDefaultPropertyBundle getValueDefaultPropertyBundle()
                                                                   throws IfsException

  Gets the ValueDefaultPropertyBundle of this ValueDefault.
  Returns:
    the ValueDefaultPropertyBundle
  Throws:
    `IfsException` - if the operation fails

### getPropertyValue

    public final AttributeValue getPropertyValue()
                                          throws IfsException

  Gets the value of the ValueDefaultPropertyBundle of this ValueDefault.

  This returns an AttributeValue the represents the value set for this ValueDefault.

  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD